Bug 841691 - Systems page always shows lo interface IP on list
Systems page always shows lo interface IP on list
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Jordan OMara
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: 841868
  Show dependency treegraph
 
Reported: 2012-07-19 17:19 EDT by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "network.ipv4.address" fact set to the loopback (127.0.0.1), which hindered systems with multiple IP addresses. This fix lists all visible interfaces in the details page.
Story Points: ---
Clone Of:
: 841868 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:47:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Page Details tab (96.09 KB, image/png)
2012-09-20 03:13 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Jordan OMara 2012-07-19 17:19:05 EDT
Recent changes to candlepin now submit multiple IP addresses as system facts. However, the old field "network.ipv4.address" is generally set to the loopback (127.0.0.1) which is not very useful in the list form as it is the same for every machine.

This bug: https://bugzilla.redhat.com/show_bug.cgi?id=841689 will add a "Primary IP" field we can use; but in the meantime I suggest selecting the first non-loopback interface
Comment 1 Jordan OMara 2012-07-24 15:57:33 EDT
merged https://github.com/Katello/katello/pull/354

decided on setting a list of visible interfaces in the details page
Comment 3 Tazim Kolhar 2012-09-20 03:13:53 EDT
Created attachment 614773 [details]
System Page Details tab

VERIFIED with packages :

# rpm -qa | grep katello
katello-cli-common-1.1.8-1.git.2.a0908e7.fc16.noarch
katello-all-1.1.12-1.git.26.d683e16.fc16.noarch
katello-cli-headpin-1.1.1-1.git.59.e8fe8d3.fc16.noarch
katello-glue-candlepin-1.1.12-1.git.26.d683e16.fc16.noarch
katello-glue-pulp-1.1.12-1.git.26.d683e16.fc16.noarch
katello-1.1.12-1.git.26.d683e16.fc16.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-selinux-1.1.1-1.fc16.noarch
katello-glue-foreman-1.1.12-1.git.26.d683e16.fc16.noarch
katello-configure-1.1.9-1.fc16.noarch
katello-common-1.1.12-1.git.26.d683e16.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.1.2-1.fc16.noarch


list of visible interfaces in the details page : screenshot attached
Comment 5 errata-xmlrpc 2012-12-04 14:47:37 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 6 Mike McCune 2013-08-16 13:59:14 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.